System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.Control System.ComponentModel.ToolboxItem(false)

The class represents a user control that has output caching enabled in programmatic scenarios. ASP.NET provides several ways to enable output caching for a control. The following list describes methods you can use to enable output caching:

Use the @ OutputCache directive to enable output caching in declarative scenarios.

Use the class to enable caching for a user control in a code-behind file.

Use the class to specify cache settings in programmatic scenarios in which you are working with instances.

Provides the base functionality for the and classes.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Web.UI.ControlCachePolicy To be added.

  The property enables programmatic access to the object associated with the user control contained by the instance. The object can be programmatically manipulated to influence a user control's caching behavior and settings.

  Gets the object that is associated with the wrapped user control.

- Property
  System.Web.Caching.CacheDependency a

  This property allows you to remove user control output from the output cache when the associated cache dependency changes.

  Gets or sets an instance of the class associated with the cached user control output.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Releases all resources used by the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Raises the event.

  An object that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Outputs the user control's content to the specified output stream.

  The that writes the cached control to the page. 1.0.5000.0 2.0.0.0